# File extensions

## Functions

### GetCWD()

Получить текущую рабочую папку

### GetBinName()

Получить имя исполняемого файла

### GetBinDir()

Получить папку исполняемого файла

### GetHome()

Получить домашнюю папку пользователя

### RealPath()

Преобразовать относительный путь в полный:

- если путь начинается с символа "~" - путь строится от домашней папки
- если путь начинается с символа "." - путь строится от папку исполняемого файла
- если путь начинается не с символа "/" - путь строится от текущей рабочей папки

### ClearPath()

> 0.2.2
Очистить строку от лишних символов

### Ext()

Получить расширение файла

### Exists()

Существует ли файл или папка

### Load()

Загрузить файл

### LoadJSON()

Загрузить JSON-данные

### LoadStruct()

Загрузить данные объекта из JSON-файла

```go
func LoadStruct(fName string, obj &any) error {}
```

### Save()

Сохранить файл

### SaveJSON()

Сохранить JSON-данные

### Append()

Добавить в файл

### Delete()

Удалить файл или папку

### OpenCreate()

Открыть файл, создать если не существует.
